// ------------------------------------------------------------------------- //
// SB_TDCOM.H     ( Sound Blaster common header file )                       //
// ------------------------------------------------------------------------- //
// Mario Hewardt  (mario@cs.montana.edu)                                     //
// Montana State University                                                  //
// ------------------------------------------------------------------------- //

// Make sure sb_tdcom.h doesnt get included more than once.
#ifndef __SBTDCOM
#define __SBTDCOM



// Data types defined and used by SB_TD
// ------------------------------------
typedef unsigned char  USCHAR;          // 8 bit  unsigned
typedef unsigned short USWORD;          // 16 bit unsigned
typedef unsigned int   UDWORD;          // 32 bit unsigned



// SB Versions Supported
#define SB_NONE     -1
#define SB_UNKNOWN  0
#define SB_10_15    1
#define SB_PRO      2
#define SB_PRO2     3
#define SB_16       4


// SB_Data contains various info. about SB
// ---------------------------------------
struct SB_Data
{
    int SB_BaseIO;              // SB Base I/O Port
    int SB_IRQ;                 // SB Interrupt Request
    int SB_DMA8_Channel;        // SB 8 bit DMA Channel
    int SB_DMA16_Channel;       // SB 16 bit DMA Channel
   char SB_Model[30];           // SB Model
    int SB_DSP_Major_Version;   // SB DSP major version number
    int SB_DSP_Minor_Version;   // SB DSP minor version number
    int SB_Version;             // Numeric. repr. of SB version
};


#endif // __SBTDCOM
