// ------------------------------------------------------------------------- //
// SB_TDINI.H     ( Sound Blaster Initialization header file )               //
// ------------------------------------------------------------------------- //
// Mario Hewardt  (mario@cs.montana.edu)                                     //
// Montana State University                                                  //
// ------------------------------------------------------------------------- //


#ifndef __SBTDRET
#include "sb_tdret.h"
#endif

// make sure we got env.h
#ifndef _ENV_H_INCLUDED
#include <env.h>
#endif  // _ENV_H_INCLUDED

// Make sure sbinit.h doesnt get included more than once.
#ifndef __SBTDINIT
#define __SBTDINIT

#include "sb_tdret.h"    // return values
#include "sb_tdcom.h"    // SB def  file
#include "sb_tddsp.h"    // SB DSP  file


// Function Prototypes
// -------------------
int SB_Initialize  ( struct SB_Data * );    // (SB)
int SB_Init_Env    ( struct SB_Data * );    // (SB) Used by SB_Initialize
int SB_Find_Letter ( char, char *     );    // (SB) Used by SB_Init_Env

#include "sb_tdini.c"    // SB Init file

#endif      // end __SBTDINIT




