// ------------------------------------------------------------------------- //
// SB_TDIRQ.H     ( Sound Blaster IRQ header file )                          //
// ------------------------------------------------------------------------- //
// Mario Hewardt  (mario@cs.montana.edu)                                     //
// Montana State University                                                  //
// ------------------------------------------------------------------------- //


#ifndef __SBTDRET
#include "sb_tdret.h"
#endif

// get dos.h and stuff
#ifndef _DOS_H_INCLUDED
#include <dos.h>                // needed for _dos_getvect and _dos_setvect
#endif // _DOS_H_INCLUDED

// Make sure sb_tdirq.h doesnt get included more than once.
#ifndef __SBTDIRQ
#define __SBTDIRQ


#include "sb_tdcom.h"

// globals (EEEERRRRHHH)
unsigned int SB_IRQ_Mask1=-1;
unsigned int SB_IRQ_Mask2=-1;

// set up alias for function ptr.
#define SB_TDIRQARGS    void
typedef void (interrupt far *SB_FUNCPTR)(SB_TDIRQARGS);


// function prototypes
void        SB_IRQ_End           ( unsigned char             );
SB_FUNCPTR  SB_IRQ_SetHandler    ( unsigned char, SB_FUNCPTR );
void        SB_IRQ_Enable        ( unsigned char             );
void        SB_IRQ_DisableAll    (                           );
void        SB_IRQ_SetMask       (                           );
void        SB_IRQ_RestoreMask   (                           );


#include "sb_tdirq.c"

#endif      // __SBTDIRQ

