// ------------------------------------------------------------------------- //
// SB_TDERR.H     ( Predefined Return values )                               //
// ------------------------------------------------------------------------- //
// Mario Hewardt  (mario@cs.montana.edu)									 //
// Montana State University 												 //
// Please read the AGREE.DOC before using.									 //
// See SB_TDLIB.DOC or SB_TDNOT.DOC for additional information				 //
// ------------------------------------------------------------------------- //


#ifndef __SBTDRET
#define __SBTDRET


#define SB_TDRET_OK         500     // Ok. Evertything is fine
#define SB_TDRET_NOBASEIO   501     // Could not find SB Base IO in BLASTER
#define SB_TDRET_NODMA8     502     // Could not find 8 bit DMA in BLASTER
#define SB_TDRET_NOIRQ      503     // Could not find IRQ in BLASTER
#define SB_TDRET_NODMA16    504     // SB16 detected, but no 16 bit DMA
#define SB_TDRET_NOSB       505     // No SB detected
#define SB_TDRET_MEMERR     506     // Memory allocation/deallocation error
#define SB_TDRET_WAVDONE    507     // Wave file is done playing
#define SB_TDRET_WAVNOTDONE 508     // Wave file is not done playing.
#define SB_TDRET_FILEERR    509     // Error Opening file
#define SB_TDRET_RIFERR     510     // Not valid RIF data
#define SB_TDRET_WAVERR     511     // Not valid WAV dats
#define SB_TDRET_FORMERR    512     // Not valid format data
#define SB_TDRET_DATAERR    513     // No valid data
#define SB_TDRET_MIXERR     514     // Mixer Error (possibly mixer not avail)




#endif // __SBTDRET
