// ------------------------------------------------------------------------- //
// SB_TDWAV.H     ( Sound Blaster Wave Header File )                         //
// ------------------------------------------------------------------------- //
// Mario Hewardt  (mario@cs.montana.edu)                                     //
// Montana State University                                                  //
// Please read agree.txt before using                                        //
// Freeware - with some restrictions                                         //
// ------------------------------------------------------------------------- //


#ifndef __SBTDRET
#include "sb_tdret.h"
#endif

// only once...not more
#ifndef __SBTDWAV
#define __SBTDWAV

#include <stdio.h>          // needed for file i/o
#include <fcntl.h>          // predefined stuff for file i/o

#include "sb_tdirq.h"
#include "sb_tddsp.h"
#include "sb_tddma.h"

// func. prototypes
int SB_Wave_LoadInfo ( char *, struct SB_Wave_Data *             );
int SB_Wave_Play     ( struct SB_Wave_Data *, struct SB_Data *, struct SB_MIXER_Data   );
int SB_Wave_Load     ( struct SB_DMA_Data, struct SB_Wave_Data * );


struct SB_Wave_Data
{
    USCHAR * SB_Wave_Ptr;        // Pointer to complete sample data
    UDWORD SB_Wave_Dlen;         // length of actual sample data
    USWORD SB_Wave_Format;       // format specs.
    USWORD SB_Wave_Nrchannels;   // nr of channels
    USWORD SB_Wave_Frequency;    // frequency
};


// Once again.....GLOBALS !!!
// --------------------------
int           SB_base;
int           SB_flag=0;
int           SB_lcount=0;
int           SB_slength=0;
int           SB_bufsize=16000;
USCHAR *      SB_ptr;
char *        SB_dmabuf;
unsigned char SB_irq;
SB_FUNCPTR    SB_old;
struct SB_DMA_Data dma;
int           SB_buffer;


#include "sb_tdtrf.h"       // Transfer Modes functions
#include "sb_tdwav.c"

#endif    // __SBTDWAV



